birthplace: Yakushima, Kagoshima Prefecture, Japan
discography:
- catalog: MJCD-20078
  date: '2006-11-22'
  link: album/58698
  reprint: false
  roles:
  - Guitar
  - Synthesizer Operator
  titles:
    en: Futari wa Pretty Cure Splash☆Star Vocal Album 2 ~Kiseki no Shizuku~
    ja: ふたりはプリキュア Splash☆Star Vocalアルバム2～奇跡の雫～
    ja-latn: Futari wa Pretty Cure Splash☆Star Vocal Album 2 ~Kiseki no Shizuku~
  type: anime
- catalog: MJCD-23032
  date: '2007-03-07'
  link: album/48324
  reprint: false
  roles:
  - Composer
  titles:
    en: Precure5, Smile go go!/Kirakira Shichatte My True Love!
    ja: プリキュア5、スマイル go go!/キラキラしちゃって My True Love!
    ja-latn: Precure5, Smile go go!/Kirakira Shichatte My True Love!
  type: anime
- catalog: MJCD-20098
  date: '2007-08-10'
  link: album/31750
  reprint: false
  roles:
  - Guitar
  - Composer
  - Synthesizer Operator
  titles:
    en: Yes! Precure5 Vocal Album I ~Seishun Otome LOVE&DREAM~
    ja: Yes! Precure5 Vocal アルバム I ～青春乙女 LOVE&DREAM～
    ja-latn: Yes! Precure5 Vocal Album I ~Seishun Otome LOVE&DREAM~
  type: anime
- catalog: MJCD-20100
  date: '2007-09-12'
  link: album/48212
  reprint: false
  roles:
  - Composer
  titles:
    en: 'Yes! Precure5 Original Soundtrack 1: Precure Sound Dream!!'
    ja: Yes!プリキュア5 オリジナル・サウンドトラック1 プリキュア・サウンド・ドリーム!!
    ja-latn: 'Yes! Precure5 Original Soundtrack 1: Precure Sound Dream!!'
  type: anime
- catalog: MJCD-20104
  date: '2007-11-09'
  link: album/31751
  reprint: false
  roles:
  - Composer
  titles:
    en: Yes! Precure5 Vocal Album II ~VOCAL EXPLOSION!~
    ja: Yes! プリキュア5 Vocal アルバム II 〜VOCAL EXPLOSION!〜
    ja-latn: Yes! Precure5 Vocal Album II ~VOCAL EXPLOSION!~
  type: anime
- catalog: COCC-16039
  date: '2007-11-21'
  link: album/76681
  reprint: false
  roles:
  - Composer
  titles:
    en: Bonolon to Arukou!/Bonolon Egaki Uta
    ja: ボノロンと歩こう!/ボノロン絵かき歌
    ja-latn: Bonolon to Arukou!/Bonolon Egaki Uta
  type: anime
- catalog: MJCD-20109
  date: '2008-01-30'
  link: album/48213
  reprint: false
  roles:
  - Composer
  titles:
    en: 'Yes! Precure5 Original Soundtrack 2: Sound Miracle Shoot!!'
    ja: Yes!プリキュア5 オリジナル・サウンドトラック 2 サウンド・ミラクル・シュート!!
    ja-latn: 'Yes! Precure5 Original Soundtrack 2: Sound Miracle Shoot!!'
  type: anime
- catalog: MJCD-20110
  date: '2008-01-30'
  link: album/48027
  reprint: false
  roles:
  - Composer
  titles:
    en: Eiga Yes! Precure5 Kagami no Kuni no Miracle Daibouken! Original Soundtrack
    ja: 映画 Yes! プリキュア5 鏡の国のミラクル大冒険! オリジナル・サウンドトラック
    ja-latn: Eiga Yes! Precure5 Kagami no Kuni no Miracle Daibouken! Original Soundtrack
  type: anime
- catalog: MJCD-23039
  date: '2008-02-06'
  link: album/47680
  reprint: false
  roles:
  - Composer
  titles:
    en: Precure5, Full Throttle GO GO!/Te to Te Tsunaide Heart mo Link!!
    ja: プリキュア5、フル・スロットルGO GO!/手と手つないでハートもリンク!!
    ja-latn: Precure5, Full Throttle GO GO!/Te to Te Tsunaide Heart mo Link!!
  type: anime
- catalog: MJCD-20116
  date: '2008-03-26'
  link: album/48214
  reprint: false
  roles:
  - Composer
  - Arranger
  titles:
    en: Yes! Precure5 Vocal Best!!
    ja: Yes!プリキュア5 ボーカルベスト!!
    ja-latn: Yes! Precure5 Vocal Best!!
  type: anime
- catalog: MJCD-20127
  date: '2008-08-06'
  link: album/47418
  reprint: false
  roles:
  - Arranger
  titles:
    en: Yes! Precure5 GoGo! Vocal Album 1 My dear friend ~Precure kara no Joutaijou~
    ja: Yes!プリキュア5GoGo! ボーカルアルバム1 My dear friend～プリキュアからの招待状～
    ja-latn: Yes! Precure5 GoGo! Vocal Album 1 My dear friend ~Precure kara no Joutaijou~
  type: anime
- catalog: DK-3773
  date: '2008-08-15'
  link: album/128948
  reprint: false
  roles:
  - Composer
  - Lyricist
  - Arranger
  titles:
    en: Moe Stu ~Moeru Toudai Eigojuku~ ABCD Moe Stu go!go!
    ja: もえスタ ～萌える東大英語塾～ ABCDもえスタgo!go!
    ja-latn: Moe Stu ~Moeru Toudai Eigojuku~ ABCD Moe Stu go!go!
  type: bonus
- catalog: MJCD-20133
  date: '2008-09-03'
  link: album/47401
  reprint: false
  roles:
  - Composer
  titles:
    en: 'Yes! Precure5 GoGo! Original Soundtrack 1: Precure Sound Shooting Star!!'
    ja: Yes! プリキュア5 GoGo! オリジナルサウンドトラック1 プリキュア・サウンド・シューティングスター!!
    ja-latn: 'Yes! Precure5 GoGo! Original Soundtrack 1: Precure Sound Shooting Star!!'
  type: anime
- catalog: MJCD-20160
  date: '2009-04-03'
  link: album/31752
  reprint: false
  roles:
  - Composer
  - Arranger
  titles:
    en: Yes! Precure5 GoGo! Vocal Best!!
    ja: Yes! プリキュア5 GoGo! ボーカルベスト!!
    ja-latn: Yes! Precure5 GoGo! Vocal Best!!
  type: anime
- catalog: MJSA-01002~3
  date: '2011-02-16'
  link: album/61508
  reprint: false
  roles:
  - Composer
  titles:
    en: Precure Movie Theme Song Collection
    ja: プリキュア映画主題歌コレクション
    ja-latn: Precure Eiga Shudaika Collection
  type: anime
- catalog: COCX-36655
  date: '2011-03-23'
  link: album/70099
  reprint: false
  roles:
  - Composer
  titles:
    en: TV asahi Anime Songs♪ -Silver-
    ja: テレビ朝日アニメソング♪ -Silver-
    ja-latn: TV asahi Anime Songs♪ -Silver-
  type: anime
- catalog: MJSS-09020~1
  date: '2011-06-01'
  link: album/85619
  reprint: false
  roles:
  - Composer
  titles:
    en: Precure5, Smile go go!/Kirakira Shichatte My True Love!/Ganbalance de Dance
      ~Yumemiru Kisekitachi~
    ja: プリキュア5、スマイル go go!/キラキラしちゃってMy True Love!/ガンバランスdeダンス～夢見る奇跡たち～
    ja-latn: Precure5, Smile go go!/Kirakira Shichatte My True Love!/Ganbalance de
      Dance ~Yumemiru Kisekitachi~
  type: anime
- catalog: MJSS-09022
  date: '2011-06-01'
  link: album/85620
  reprint: false
  roles:
  - Composer
  titles:
    en: Precure5, Smile go go!/Kirakira Shichatte My True Love!/Ganbalance de Dance
      ~Yumemiru Kisekitachi~
    ja: プリキュア5、スマイル go go!/キラキラしちゃってMy True Love!/ガンバランスdeダンス～夢見る奇跡たち～
    ja-latn: Precure5, Smile go go!/Kirakira Shichatte My True Love!/Ganbalance de
      Dance ~Yumemiru Kisekitachi~
  type: anime
- catalog: MJSS-09023~4
  date: '2011-06-01'
  link: album/85621
  reprint: false
  roles:
  - Composer
  titles:
    en: Precure5, Full Throttle GO GO!/Te to Te Tsunaide Heart mo Link!!/Ganbalance
      de Dance ~Kibou no Relay~
    ja: プリキュア5、フル・スロットルGO GO!/手と手つないでハートもリンク!!/ガンバランスdeダンス～希望のリレー～
    ja-latn: Precure5, Full Throttle GO GO!/Te to Te Tsunaide Heart mo Link!!/Ganbalance
      de Dance ~Kibou no Relay~
  type: anime
- catalog: MJSS-09025
  date: '2011-06-01'
  link: album/85622
  reprint: false
  roles:
  - Composer
  titles:
    en: Precure5, Full Throttle GO GO!/Te to Te Tsunaide Heart mo Link!!/Ganbalance
      de Dance ~Kibou no Relay~
    ja: プリキュア5、フル・スロットルGO GO!/手と手つないでハートもリンク!!/ガンバランスdeダンス～希望のリレー～
    ja-latn: Precure5, Full Throttle GO GO!/Te to Te Tsunaide Heart mo Link!!/Ganbalance
      de Dance ~Kibou no Relay~
  type: anime
- catalog: MJSA-01012
  date: '2011-07-20'
  link: album/86382
  reprint: false
  roles:
  - Composer
  titles:
    en: Yes! Precure5 Memorial Vocal Selection
    ja: Yes!プリキュア5　メモリアル ボーカル セレクション
    ja-latn: Yes! Precure5 Memorial Vocal Selection
  type: anime
- catalog: MJSA-01013
  date: '2011-07-20'
  link: album/86532
  reprint: false
  roles:
  - Composer
  - Arranger
  titles:
    en: Yes! Precure5 GoGo! Memorial Vocal Selection
    ja: Yes!プリキュア5GoGo! メモリアル ボーカル セレクション
    ja-latn: Yes! Precure5 GoGo! Memorial Vocal Selection
  type: anime
- catalog: MJSA-01028
  date: '2011-08-10'
  link: album/92505
  reprint: false
  roles:
  - Composer
  titles:
    en: Precure All Stars Special Concert with Kyoto Philharmonic Chamber Orchestra
    ja: プリキュアオールスターズ スペシャルコンサート with 京都フィルハーモニー室内合奏団
    ja-latn: Precure All Stars Special Concert with Kyoto Philharmonic Chamber Orchestra
  type: anime
- catalog: TCED-1113
  date: '2011-08-10'
  link: album/99856
  reprint: false
  roles:
  - Composer
  titles:
    en: Precure All Stars Special Concert with Kyoto Philharmonic Chamber Orchestra
    ja: プリキュアオールスターズ スペシャルコンサート with 京都フィルハーモニー室内合奏団
    ja-latn: Precure All Stars Special Concert with Kyoto Philharmonic Chamber Orchestra
  type: anime
- catalog: THCS-60005
  date: '2013-07-17'
  link: album/39085
  reprint: false
  roles:
  - Composer
  - Sound Producer
  - Arranger
  titles:
    en: DAY by DAY
    ja: DAY by DAY
    ja-latn: DAY by DAY
  type: anime
- catalog: MJSA-01069
  date: '2013-08-07'
  link: album/39651
  reprint: false
  roles:
  - Composer
  titles:
    en: Precure Premium Concert 2013 ~Orchestra to Asobou~
    ja: プリキュア プレミアムコンサート2013～オーケストラと遊ぼう～
    ja-latn: Precure Premium Concert 2013 ~Orchestra to Asobou~
  type: anime
- catalog: TCED-1737
  date: '2013-08-07'
  link: album/99858
  reprint: false
  roles:
  - Composer
  titles:
    en: Precure Premium Concert 2013 ~Orchestra to Asobou~
    ja: プリキュア プレミアムコンサート2013～オーケストラと遊ぼう～
    ja-latn: Precure Premium Concert 2013 ~Orchestra to Asobou~
  type: anime
- catalog: MJSA-01078~87
  date: '2013-09-04'
  link: album/39397
  reprint: false
  roles:
  - Composer
  - Arranger
  titles:
    en: Precure Vocal Best Box
    ja: プリキュアボーカルベストBOX
    ja-latn: Precure Vocal Best Box
  type: anime
- catalog: THCS-60007
  date: '2013-09-18'
  link: album/40034
  reprint: false
  roles:
  - Composer
  titles:
    en: FANTASISTA DOLL CHARACTER SONG!! VOL.2 / Sasara, Akari
    ja: ファンタジスタドール Character Song!! vol.2 / ささら、小明
    ja-latn: FANTASISTA DOLL CHARACTER SONG!! VOL.2 / Sasara, Akari
  type: anime
- catalog: MJSA-01131~2
  date: '2014-12-17'
  link: album/48736
  reprint: false
  roles:
  - Composer
  - Arranger
  titles:
    en: Precure Colorful Collection Lovely ♥ Pink
    ja: プリキュアカラフルコレクション ラブリー♥ピンク
    ja-latn: Precure Colorful Collection Lovely ♥ Pink
  type: anime
- catalog: MJSA-01137~8
  date: '2014-12-17'
  link: album/48735
  reprint: false
  roles:
  - Composer
  - Arranger
  titles:
    en: Precure Colorful Collection Happy ♪ Red & White
    ja: プリキュアカラフルコレクション ハッピー♪レッド&ホワイト
    ja-latn: Precure Colorful Collection Happy ♪ Red & White
  type: anime
- catalog: PCXX-50101
  date: '2016-01-06'
  link: album/87777
  reprint: false
  roles:
  - Composer
  titles:
    en: Precure Movie Series Opening & Ending Movie Collection
    ja: 映画プリキュアシリーズ オープニング＆エンディングムービーコレクション
    ja-latn: Precure Movie Series Opening & Ending Movie Collection
  type: game
- catalog: MJSA-01192~3
  date: '2016-08-03'
  link: album/58266
  reprint: false
  roles:
  - Composer
  titles:
    en: Precure Opening Theme Collection 2004~2016 [Limited Edition]
    ja: プリキュア オープニングテーマコレクション2004〜2016
    ja-latn: Precure Opening Theme Collection 2004~2016 [Limited Edition]
  type: anime
- catalog: MJSA-01194
  date: '2016-08-03'
  link: album/58265
  reprint: false
  roles:
  - Composer
  titles:
    en: Precure Opening Theme Collection 2004~2016
    ja: プリキュア オープニングテーマコレクション2004〜2016
    ja-latn: Precure Opening Theme Collection 2004~2016
  type: anime
- catalog: MJSA-01215~7
  date: '2017-01-25'
  link: album/63858
  reprint: false
  roles:
  - Composer
  titles:
    en: Precure Ending Theme Collection 2004~2016 [Limited Edition]
    ja: プリキュア エンディングテーマコレクション 2004～2016
    ja-latn: Precure Ending Theme Collection 2004~2016 [Limited Edition]
  type: anime
- catalog: MJSA-01218~9
  date: '2017-01-25'
  link: album/63857
  reprint: false
  roles:
  - Composer
  titles:
    en: Precure Ending Theme Collection 2004~2016
    ja: プリキュア エンディングテーマコレクション 2004～2016
    ja-latn: Precure Ending Theme Collection 2004~2016
  type: anime
- catalog: MJSA-01312~3
  date: '2021-04-07'
  link: album/108490
  reprint: false
  roles:
  - Composer
  - Arranger
  titles:
    en: Yes! Precure5 & Yes! Precure5 GoGo! Memorial Album
    ja: Yes! プリキュア5 & Yes! プリキュア5 GoGo! メモリアルアルバム
    ja-latn: Yes! Precure5 & Yes! Precure5 GoGo! Memorial Album
  type: anime
featured_on:
- catalog: MUCD-1205~6
  date: '2009-04-22'
  link: album/133461
  reprint: false
  roles:
  - Composer
  titles:
    en: SUPER★ANIME☆REMIX 3
    ja: スーパーアニメ☆リミックス3 完全コスパラ対応
    ja-latn: SUPER★ANIME☆REMIX 3 Kanzen Cospara Taiou
  type: anime
- catalog: MJCD-20195
  date: '2010-10-27'
  link: album/85971
  reprint: false
  roles:
  - Composer
  titles:
    en: My way / Mayu Kudo
    ja: My way / 工藤真由
    ja-latn: My way / Mayu Kudo
  type: anime
- catalog: MJCD-20196
  date: '2010-10-27'
  link: album/85970
  reprint: false
  roles:
  - Composer
  titles:
    en: My way / Mayu Kudo
    ja: My way / 工藤真由
    ja-latn: My way / Mayu Kudo
  type: anime
- catalog: AVCD-38240
  date: '2011-03-02'
  link: album/133448
  reprint: false
  roles:
  - Composer
  titles:
    en: Kiwami Euro Best
    ja: 極ユーロベスト
    ja-latn: Kiwami Euro Best
  type: game
- catalog: MJSA-01244~5
  date: '2018-08-08'
  link: album/81826
  reprint: false
  roles:
  - Composer
  titles:
    en: 'PRECURE Best Songs Selection: Dear my past self / Kanako Miyamoto [Limited
      Edition]'
    ja: 'PRECURE Best Songs Selection: Dear my past self / 宮本佳那子 [初回生産限定盤]'
    ja-latn: 'PRECURE Best Songs Selection: Dear my past self / Kanako Miyamoto [Limited
      Edition]'
  type: anime
- catalog: MJSA-01246
  date: '2018-08-08'
  link: album/80297
  reprint: false
  roles:
  - Composer
  titles:
    en: 'PRECURE Best Songs Selection: Dear my past self / Kanako Miyamoto'
    ja: 'PRECURE Best Songs Selection: Dear my past self / 宮本佳那子'
    ja-latn: 'PRECURE Best Songs Selection: Dear my past self / Kanako Miyamoto'
  type: anime
info:
  Birthplace: Yakushima, Kagoshima Prefecture, Japan
  Credited works: 37 albums in database
  Credits:
  - 41 composer
  - 10 arranger
  - 2 guitar
  - 2 synthesizer operator
  - 1 lyricist
  - 1 sound producer
link: artist/28669
meta:
  added_date: 2018-04-04T09:53
  edited_date: 2018-04-04T09:56
  fetched_date: 2025-12-07T10:45
  ttl: 86400
  visitors: 1478
name: Yoshiro Iwakiri
name_real: 岩切 芳郎
name_trans: いわきり よしろう
notes: No notes available for this artist.
picture_full: https://media.vgm.io/artists/96/28669/28669-1522864445.jpg
picture_small: https://thumb-media.vgm.io/artists/96/28669/28669-1522864445.jpg
sex: male
type: Individual
vgmdb_link: https://vgmdb.net/artist/28669?perpage=99999
websites:
  Personal: []
  Reference: []
